#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <conio.h>

int main()
{	char st[80],stres[80],strab[80],
       *ptr1,*ptr2,*ptr3;
  int old;
    while ((puts("Input string or Ctrl_Z:"),
                            gets(st))!=NULL)
    { strcpy(stres,st);
      ptr1=strchr(stres,' ');
    *(ptr1+2)='.';
      ptr2=strchr(st,' ');
      ptr2=strchr(ptr2+1,' ');
       strncpy(ptr1+3,ptr2+1,1);
      strncpy(ptr1+4,". \0",3);
       ptr3=strchr(ptr2+1,' ');
       old=2021-atoi(ptr3+1);
            strcat(stres,itoa(old,strab,10));
            puts(stres);	}
          getch(); 	return 0;
      }
